<template>
  <a
    :href="link.link"
    target="_blank"
    class="inline-flex items-center"
  >
    <component :is="link.icon" class="w-5 h-5 flex-shrink-0" />
    <span class="ml-2 underline">{{ link.name }}</span>
    </div>
  </a>
</template>

<script>
export default {
  name: 'SocialLink',

  props: {
    link: { type: Object, required: true, default: null },
  },
};
</script>
